package com.community.huiju.service;

import com.community.huiju.model.ToCommunities;

import java.util.List;
import java.util.Map;

public interface CommunityServiceI {
	
	/**
	 * 分页获取小区列表
	 * @param toCommunities
	 * @param pageNum
	 * @param pageSize
	 * @return
	 */
	Map<String,Object> getCommunitys(ToCommunities toCommunities, Integer pageNum, Integer pageSize);
	
	/**
	 * 添加新的小区
	 * @param toCommunities
	 * @return
	 */
	Integer addCommunity(ToCommunities toCommunities);
	
	/**
	 * 根据id获取详情数据
	 * @param id
	 * @return
	 */
	ToCommunities getCommunityById(Integer id);
	
	/**
	 * 根据小区id更新数据
	 * @param toCommunities
	 * @return
	 */
	String updateCommunityById(ToCommunities toCommunities);
}
